=== src/third_party/pcre-8.30/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.








pkgdatadir = $(datadir)/pcre
pkgincludedir = $(includedir)/pcre
pkglibdir = $(libdir)/pcre
pkglibexecdir = $(libexecdir)/pcre
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
TESTS = $(am__EXEEXT_3) $(am__EXEEXT_4) RunTest $(am__append_18)
bin_PROGRAMS = pcretest$(EXEEXT) $(am__EXEEXT_1)
noinst_PROGRAMS = $(am__EXEEXT_2) $(am__EXEEXT_3) $(am__EXEEXT_4)

# These additional headers will be be installed if C++ support is enabled. We
# do not distribute pcrecpparg.h or pcre_stringpiece.h, as these are generated
# from corresponding .h.in files (which we do distribute).
am__append_1 = \
  pcrecpparg.h \
  pcre_stringpiece.h

am__append_2 = \
  pcrecpp.h \
  pcre_scanner.h

#am__append_3 = dftables

# Build the 8 bit library if it is enabled.
am__append_4 = libpcre.la

# Build the 16 bit library if it is enabled.
#am__append_5 = libpcre16.la
#am__append_6 = pcre_jit_test
#am__append_7 = pcre_jit_test
#am__append_8 = libpcre.la
##am__append_9 = libpcre16.la
am__append_10 = libpcreposix.la
am__append_11 = libpcrecpp.la
am__append_12 = pcrecpp_unittest \
	pcre_scanner_unittest \
	pcre_stringpiece_unittest
am__append_13 = pcrecpp_unittest \
	pcre_scanner_unittest \
	pcre_stringpiece_unittest
am__append_14 = pcre_printint.c
am__append_15 = libpcreposix.la
#am__append_16 = pcre16_printint.c
#am__append_17 = libpcre16.la
am__append_18 = RunGrepTest
am__append_19 = RunGrepTest
am__append_20 = pcregrep
#am__append_21 = libpcre16.pc
am__append_22 = libpcrecpp.pc
subdir = .
DIST_COMMON = README $(am__configure_deps) \
	$(am__dist_noinst_SCRIPTS_DIST) $(am__include_HEADERS_DIST) \
	$(dist_doc_DATA) $(dist_html_DATA) $(dist_man_MANS) \
	$(dist_noinst_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/libpcre.pc.in $(srcdir)/libpcre16.pc.in \
	$(srcdir)/libpcrecpp.pc.in $(srcdir)/libpcreposix.pc.in \
	$(srcdir)/pcre-config.in $(srcdir)/pcre.h.in \
	$(srcdir)/pcre_stringpiece.h.in $(srcdir)/pcrecpparg.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	config.guess config.sub depcomp install-sh ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libpcre.pc libpcre16.pc libpcreposix.pc \
	libpcrecpp.pc pcre-config pcre.h pcre_stringpiece.h \
	pcrecpparg.h
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
	"$(DESTDIR)$(man3dir)" "$(DESTDIR)$(docdir)" \
	"$(DESTDIR)$(htmldir)" "$(DESTDIR)$(htmldir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(includedir)" \
	"$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libpcre_la_LIBADD =
am__libpcre_la_SOURCES_DIST = pcre_byte_order.c pcre_compile.c \
	pcre_config.c pcre_dfa_exec.c pcre_exec.c pcre_fullinfo.c \
	pcre_get.c pcre_globals.c pcre_internal.h pcre_jit_compile.c \
	pcre_maketables.c pcre_newline.c pcre_ord2utf8.c \
	pcre_refcount.c pcre_string_utils.c pcre_study.c pcre_tables.c \
	pcre_ucd.c pcre_valid_utf8.c pcre_version.c pcre_xclass.c \
	ucp.h
am_libpcre_la_OBJECTS = pcre_byte_order.lo \
	pcre_compile.lo pcre_config.lo \
	pcre_dfa_exec.lo pcre_exec.lo \
	pcre_fullinfo.lo pcre_get.lo pcre_globals.lo \
	pcre_jit_compile.lo pcre_maketables.lo \
	pcre_newline.lo pcre_ord2utf8.lo \
	pcre_refcount.lo pcre_string_utils.lo \
	pcre_study.lo pcre_tables.lo pcre_ucd.lo \
	pcre_valid_utf8.lo pcre_version.lo \
	pcre_xclass.lo
nodist_libpcre_la_OBJECTS = pcre_chartables.lo
libpcre_la_OBJECTS = $(am_libpcre_la_OBJECTS) \
	$(nodist_libpcre_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
libpcre_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libpcre_la_LDFLAGS) $(LDFLAGS) -o $@
am_libpcre_la_rpath = -rpath $(libdir)
libpcre16_la_LIBADD =
am__libpcre16_la_SOURCES_DIST = pcre16_byte_order.c \
	pcre16_chartables.c pcre16_compile.c pcre16_config.c \
	pcre16_dfa_exec.c pcre16_exec.c pcre16_fullinfo.c pcre16_get.c \
	pcre16_globals.c pcre16_jit_compile.c pcre16_maketables.c \
	pcre16_newline.c pcre16_ord2utf16.c pcre16_refcount.c \
	pcre16_string_utils.c pcre16_study.c pcre16_tables.c \
	pcre16_ucd.c pcre16_utf16_utils.c pcre16_valid_utf16.c \
	pcre16_version.c pcre16_xclass.c
#am_libpcre16_la_OBJECTS = pcre16_byte_order.lo \
#	pcre16_chartables.lo pcre16_compile.lo \
#	pcre16_config.lo pcre16_dfa_exec.lo \
#	pcre16_exec.lo pcre16_fullinfo.lo \
#	pcre16_get.lo pcre16_globals.lo \
#	pcre16_jit_compile.lo pcre16_maketables.lo \
#	pcre16_newline.lo pcre16_ord2utf16.lo \
#	pcre16_refcount.lo pcre16_string_utils.lo \
#	pcre16_study.lo pcre16_tables.lo \
#	pcre16_ucd.lo pcre16_utf16_utils.lo \
#	pcre16_valid_utf16.lo pcre16_version.lo \
#	pcre16_xclass.lo
#nodist_libpcre16_la_OBJECTS = pcre_chartables.lo
libpcre16_la_OBJECTS = $(am_libpcre16_la_OBJECTS) \
	$(nodist_libpcre16_la_OBJECTS)
libpcre16_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libpcre16_la_LDFLAGS) $(LDFLAGS) -o $@
#am_libpcre16_la_rpath = -rpath $(libdir)
libpcrecpp_la_DEPENDENCIES = libpcre.la
am__libpcrecpp_la_SOURCES_DIST = pcrecpp_internal.h pcrecpp.cc \
	pcre_scanner.cc pcre_stringpiece.cc
am_libpcrecpp_la_OBJECTS = pcrecpp.lo \
	pcre_scanner.lo pcre_stringpiece.lo
libpcrecpp_la_OBJECTS = $(am_libpcrecpp_la_OBJECTS)
libpcrecpp_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(libpcrecpp_la_LDFLAGS) $(LDFLAGS) \
	-o $@
am_libpcrecpp_la_rpath = -rpath $(libdir)
libpcreposix_la_DEPENDENCIES = libpcre.la
am__libpcreposix_la_SOURCES_DIST = pcreposix.c
am_libpcreposix_la_OBJECTS = pcreposix.lo
libpcreposix_la_OBJECTS = $(am_libpcreposix_la_OBJECTS)
libpcreposix_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libpcreposix_la_LDFLAGS) $(LDFLAGS) \
	-o $@
am_libpcreposix_la_rpath = -rpath $(libdir)
am__EXEEXT_1 = pcregrep$(EXEEXT)
#am__EXEEXT_2 = dftables$(EXEEXT)
#am__EXEEXT_3 = pcre_jit_test$(EXEEXT)
am__EXEEXT_4 = pcrecpp_unittest$(EXEEXT) \
	pcre_scanner_unittest$(EXEEXT) \
	pcre_stringpiece_unittest$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am__dftables_SOURCES_DIST = dftables.c
#am_dftables_OBJECTS =  \
#	dftables.$(OBJEXT)
dftables_OBJECTS = $(am_dftables_OBJECTS)
dftables_LDADD = $(LDADD)
am__pcre_jit_test_SOURCES_DIST = pcre_jit_test.c
#am_pcre_jit_test_OBJECTS = pcre_jit_test.$(OBJEXT)
pcre_jit_test_OBJECTS = $(am_pcre_jit_test_OBJECTS)
#pcre_jit_test_DEPENDENCIES = $(am__append_8) \
#	$(am__append_9)
am__pcre_scanner_unittest_SOURCES_DIST = pcre_scanner_unittest.cc
am_pcre_scanner_unittest_OBJECTS =  \
	pcre_scanner_unittest.$(OBJEXT)
pcre_scanner_unittest_OBJECTS = $(am_pcre_scanner_unittest_OBJECTS)
pcre_scanner_unittest_DEPENDENCIES =  \
	libpcrecpp.la
am__pcre_stringpiece_unittest_SOURCES_DIST =  \
	pcre_stringpiece_unittest.cc
am_pcre_stringpiece_unittest_OBJECTS =  \
	pcre_stringpiece_unittest.$(OBJEXT)
pcre_stringpiece_unittest_OBJECTS =  \
	$(am_pcre_stringpiece_unittest_OBJECTS)
pcre_stringpiece_unittest_DEPENDENCIES =  \
	libpcrecpp.la
am__pcrecpp_unittest_SOURCES_DIST = pcrecpp_unittest.cc
am_pcrecpp_unittest_OBJECTS =  \
	pcrecpp_unittest.$(OBJEXT)
pcrecpp_unittest_OBJECTS = $(am_pcrecpp_unittest_OBJECTS)
pcrecpp_unittest_DEPENDENCIES = libpcrecpp.la
am__pcregrep_SOURCES_DIST = pcregrep.c
am_pcregrep_OBJECTS = pcregrep.$(OBJEXT)
pcregrep_OBJECTS = $(am_pcregrep_OBJECTS)
am__DEPENDENCIES_1 =
pcregrep_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) libpcreposix.la
am__pcretest_SOURCES_DIST = pcretest.c pcre_printint.c \
	pcre16_printint.c
am__objects_1 = pcre_printint.$(OBJEXT)
#am__objects_2 = pcre16_printint.$(OBJEXT)
am_pcretest_OBJECTS = pcretest.$(OBJEXT) $(am__objects_1) \
	$(am__objects_2)
pcretest_OBJECTS = $(am_pcretest_OBJECTS)
pcretest_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__append_15) \
	$(am__append_17)
am__dist_noinst_SCRIPTS_DIST = RunTest RunGrepTest
SCRIPTS = $(bin_SCRIPTS) $(dist_noinst_SCRIPTS)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX   " $@;
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
