=== debian/changelog ===
juju-mongodb (2.4.9-0ubuntu3) trusty; urgency=medium

  * d/p/0099-Pagesize-hacks.patch: Apply some hacks for non-4k pages.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Mar 2014 00:47:53 -0600

juju-mongodb (2.4.9-0ubuntu2) trusty; urgency=medium

  * d/tests/binaries: Drop check for mongo binary.

 -- James Page <james.page@ubuntu.com>  Wed, 22 Jan 2014 16:39:13 +0000

juju-mongodb (2.4.9-0ubuntu1) trusty; urgency=medium

  * New upstream point release.
  * d/p/0003-SERVER-12064-Use-gcc-atomic-builtins-if-available.patch:
    Dropped - not really needed for this version on mongodb.
  * d/install: Don't ship mongo binary, its broken without a JS engine
    (LP: #1270098).
  * d/p/0005-disable-jstests.patch: Dropped in preference to updates to
    d/p/0001-Add-option-to-disable-javascript.patch - rebased on revised
    upstream pull request.
  * d/rules: Don't strip binaries during build so we get a ddeb.

 -- James Page <james.page@ubuntu.com>  Wed, 22 Jan 2014 14:52:36 +0000

juju-mongodb (2.4.8-0ubuntu6) trusty; urgency=medium

  * Switch back to running standard smoke test suite, minus jstests:
    - d/rules: Use smoke target for test execution.
    - d/patches/0005-disable-jstests.patch: Disable jstests suite.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jan 2014 21:51:41 +0000

juju-mongodb (2.4.8-0ubuntu5) trusty; urgency=medium

  * Enable better support for alternative architectures:
    - 0001-SERVER-12064-Atomic-operations-for-gcc-non-Intel-arc.patch
      0002-SERVER-12065-Support-ARM-and-AArch64-builds.patch
      0003-SERVER-12064-Use-gcc-atomic-builtins-if-available.patch:
      Cherry picked changes from Robie Basak to enable atomic operations
      on non-Intel architectures.
    - 0004-Support-ppc64el-builds.patch: Add support for detection of
      powerpc64 as a 64-bit platform.
    - d/control: Enable arm64 and ppc64el architectures.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jan 2014 16:47:27 +0000

juju-mongodb (2.4.8-0ubuntu4) trusty; urgency=medium

  * Disable javascript scripting support:
    - d/rules: Pass --disable-scripting, drop config options for v8 and sm,
      only run C++ based tests during smoke testing.
    - d/p/0001-Add-option-to-disable-javascript.patch: Cherry picked changes 
      from Michael Hudson to add support for disabling javascript support.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jan 2014 14:48:30 +0000

juju-mongodb (2.4.8-0ubuntu3) trusty; urgency=medium

  * d/rules: Ignore test failures when testing with spidermonkey
    scripting engine for the time being.
  * d/control: Drop dependency on adduser as its not required.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Dec 2013 16:37:23 +0000

juju-mongodb (2.4.8-0ubuntu2) trusty; urgency=medium

  * d/rules: Use spidermonkey as scripting engine for architectures that
    don't currently have v8 support.
  * d/tests/binaries: Fix exit code handling to resolve autopkg test failure.
  * d/rules: Ignore errors from scons clean.

 -- James Page <james.page@ubuntu.com>  Tue, 17 Dec 2013 08:33:20 +0000

juju-mongodb (2.4.8-0ubuntu1) trusty; urgency=low

  * Create new binary only MongoDB package for use by Juju, supporting
    plans for inclusion of juju-core in Ubuntu main:
    - d/control: Add new juju-mongodb package, drop all others.
    - d/control: Use embedded v8 to avoid general inclusion in main.
    - d/control,d/p/series: Drop use of system libstemmer in preference
      to embedded version.
    - d/tests/*: Drop existing tests and add new binary path check for
      juju-mongodb.
    - d/install: Install mongod and mongos + assorted client tools to juju
      namespaced path. 
    - d/*: Drop mongodb-* related packaging files, no longer needed.
    - d/control: Use google-perftools on armhf architecture.

 -- James Page <james.page@ubuntu.com>  Thu, 05 Dec 2013 16:07:10 +0000

mongodb (1:2.4.8-2) unstable; urgency=low

  * Sync with Ubuntu (closes: #730203).

  [ James Page <james.page@ubuntu.com> ]
  * d/control: Enable armhf across all binary packages.
  * d/control,tests: Add DEP-8 tests.
  * d/p/0011-Use-a-signed-char-to-store-BSONType-enumerations.patch: Fixup
    build failure on ARM due to missing signed'ness of char cast.

  [ Rogério Brito <rbrito@ime.usp.br> ]
  * debian/control: Add more details to the long descriptions.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 22 Nov 2013 18:09:38 +0100

mongodb (1:2.4.8-1) unstable; urgency=low

  * New upstream release.
  * Add armhf architecture to the supported build systems.
  * Build with SSL enabled.
  * Update Standards-Version to 3.9.5 .

  [ Viktar Vauchkevich <victorenator@gmail.com> ]
  * Add systemd support (closes: #717321).

  [ James Page <james.page@ubuntu.com> ]
  * d/copyright: Add details of MongoDB AGPL+OpenSSL license exception
    to support continued use of MongoDB with SSL support enabled
    (LP: #1175028).
  * d/mongodb.conf: Add example SSL configuration options.
  * d/mongodb-server.mongodb.upstart: Add upstart configuration.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Nov 2013 07:55:06 +0000

mongodb (1:2.4.6-1) unstable; urgency=low

  * New upstream release.
  * Change package priority to optional.
  * Update Standards-Version to 3.9.4 .
  * Fix typedefs FTBFS with 0009-ignore-unused-local-typedefs.patch
    (closes: #701324), thanks to James Page <james.page@ubuntu.com>
  * Fix integer comparision FTBFS with 0010-fix-integer-signs.patch
    (closes: #724100).
  * Rework packaging with short debhelper format instead of cdbs.
  * Compile with system V8 library.
  * Move packaging to Debian servers.
  * New maintainer (closes: #725854).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Sep 2013 12:31:11 +0000

mongodb (1:2.4.5-1) unstable; urgency=critical

  * new upstream release
    https://jira.mongodb.org/browse/SERVER/fixforversion/12519
  * CVE-2013-4650 - fix allows remote authenticated users to obtain

